Summary: Free versions of the 35 standard PostScript fonts.
Name: urw-fonts
Version: 2.0
Release: 2
Source: ftp://ftp.cs.wisc.edu/ghost/gnu/gs550/gnu-gs-fonts-std-6.0.tar.gz
License: GPL, URW holds copyright
Group: User Interface/X
URL: ftp://ftp.cs.wisc.edu/ghost/gnu/gs550/
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Prefix: %{_prefix}

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/fonts/default/Type1
cd fonts
cp -f *.afm *.pfm *.pfb $RPM_BUILD_ROOT%{_prefix}/share/fonts/default/Type1
install -m 644 fonts.dir \
	$RPM_BUILD_ROOT%{_prefix}/share/fonts/default/Type1/fonts.scale
{
    cd $RPM_BUILD_ROOT%{_prefix}/share/fonts/default/Type1
    /usr/lpp/X11/bin/mkfontdir .
    cd -
}

%post
#/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/Type1

%postun
#if [ "$1" = "0" ]; then
#	/usr/sbin/chkfontpath -q -r /usr/share/fonts/default/Type1
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir %{_prefix}/share/fonts/default/Type1
%config(noreplace) %{_prefix}/share/fonts/default/Type1/fonts.dir
%config(noreplace) %{_prefix}/share/fonts/default/Type1/fonts.scale
%{_prefix}/share/fonts/default/Type1/*.afm
%{_prefix}/share/fonts/default/Type1/*.pfm
%{_prefix}/share/fonts/default/Type1/*.pfb

%changelog
* Wed Apr 16 2025 Sumitra Dawn <Sumitra.Dawn@ibm.com> 2.37 -2
- Rebuild for AIX 7.1 using RPMv4

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Wed Mar 08 2000 Preston Brown <pbrown@redhat.com> 
- argh! fonts.scale shouldn't have been symlinked to fonts.dir.  fixed.

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- noreplace the fonts.dir config file

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- need .pfb files too

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- new URW++ fonts that include extra glyphs.

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- remove vendor tag.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
